package com.hzya.frame.sysnew.messageManageLogBack.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 *
 * @content 消息管理日志备份(SysMessageManageLogBack)实体类
 * @Param
 * @Return
 * @Author hecan
 * @Date 2024/3/6 17:00
 * **/
public class SysMessageManageLogBackEntity extends BaseEntity {
 
  /**  消息主表主键 */
   private String messageManageId;
  /**  消息主题 */
   private String theme;
  /**  消息编码 */
   private String messageCode;
  /**  发送者应用 */
   private String sendApp;
  /**  发送者 */
   private String sendApi;
  /**  接收者编码 */
   private String receiveCode;
  /**  接收者应用 */
   private String receiveApp;
  /**  接收者 */
   private String receiveApi;
  /**  源数据 */
   private String sourceData;
  /**  目标data */
   private String targetData;
  /**  返回信息 */
   private String returnData;
  /**  状态（1、待发送 2、发送中3、发送成功 4、发送失败） */
   private String status;
  /**  备注 */
   private String remark;
    /** 返回解析类型 */
    private String returnType;
    /** 失败状态（1、需要重新发送 2、不需要重新发送） */
    private String errorStatus;

    public String getReturnType() {
        return returnType;
    }

    public void setReturnType(String returnType) {
        this.returnType = returnType;
    }

    private Integer sorts;

    public String getMessageManageId() {
        return messageManageId;
    }

    public void setMessageManageId(String messageManageId) {
        this.messageManageId = messageManageId;
    }

    public String getTheme() {
        return theme;
    }

    public void setTheme(String theme) {
        this.theme = theme;
    }

    public String getMessageCode() {
        return messageCode;
    }

    public void setMessageCode(String messageCode) {
        this.messageCode = messageCode;
    }

    public String getSendApp() {
        return sendApp;
    }

    public void setSendApp(String sendApp) {
        this.sendApp = sendApp;
    }

    public String getSendApi() {
        return sendApi;
    }

    public void setSendApi(String sendApi) {
        this.sendApi = sendApi;
    }

    public String getReceiveCode() {
        return receiveCode;
    }

    public void setReceiveCode(String receiveCode) {
        this.receiveCode = receiveCode;
    }

    public String getReceiveApp() {
        return receiveApp;
    }

    public void setReceiveApp(String receiveApp) {
        this.receiveApp = receiveApp;
    }

    public String getReceiveApi() {
        return receiveApi;
    }

    public void setReceiveApi(String receiveApi) {
        this.receiveApi = receiveApi;
    }

    public String getSourceData() {
        return sourceData;
    }

    public void setSourceData(String sourceData) {
        this.sourceData = sourceData;
    }

    public String getTargetData() {
        return targetData;
    }

    public void setTargetData(String targetData) {
        this.targetData = targetData;
    }

    public String getReturnData() {
        return returnData;
    }

    public void setReturnData(String returnData) {
        this.returnData = returnData;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }



    public void setSorts(Integer sorts) {
        this.sorts = sorts;
    }

    public String getErrorStatus() {
        return errorStatus;
    }

    public void setErrorStatus(String errorStatus) {
        this.errorStatus = errorStatus;
    }
}

